Package org.pgpainless.sop

# Class ChangeKeyPasswordImpl

java.lang.Object
org.pgpainless.sop.ChangeKeyPasswordImpl

All Implemented Interfaces:
  `sop.operation.ChangeKeyPassword`

public class ChangeKeyPasswordImpl extends Object implements sop.operation.ChangeKeyPassword

## Constructor Summary

Constructors
Constructor
Description
`ChangeKeyPasswordImpl()`

## Method Summary

Modifier and Type
Method
Description
`sop.Ready`
`keys(InputStream inputStream)`
`sop.operation.ChangeKeyPassword`
`newKeyPassphrase(String newPassphrase)`
`sop.operation.ChangeKeyPassword`
`noArmor()`
`sop.operation.ChangeKeyPassword`
`oldKeyPassphrase(String oldPassphrase)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface sop.operation.ChangeKeyPassword

`keys, newKeyPassphrase, oldKeyPassphrase`

## Constructor Details

### ChangeKeyPasswordImpl

public ChangeKeyPasswordImpl()

## Method Details

### noArmor

public sop.operation.ChangeKeyPassword noArmor()

Specified by:
  `noArmor` in interface `sop.operation.ChangeKeyPassword`

### oldKeyPassphrase

public sop.operation.ChangeKeyPassword oldKeyPassphrase(String oldPassphrase)

Specified by:
  `oldKeyPassphrase` in interface `sop.operation.ChangeKeyPassword`

### newKeyPassphrase

public sop.operation.ChangeKeyPassword newKeyPassphrase(String newPassphrase)

Specified by:
  `newKeyPassphrase` in interface `sop.operation.ChangeKeyPassword`

### keys

public sop.Ready keys(InputStream inputStream) throws sop.exception.SOPGPException.KeyIsProtected

Specified by:
  `keys` in interface `sop.operation.ChangeKeyPassword`
Throws:
  `sop.exception.SOPGPException.KeyIsProtected`